Subject: 24.3.50; Crash in next_interval

From: Richard Stallman <[email-masked]>
Date: Tue, 31 Dec 2013 19:06:37 -0500

I saved this backtrace since I was running Emacs under GDB.
I then had to restart Emacs, and I don't recall what triggered it.

#0  0x007cd888 in next_interval (interval=0xf51da884) at intervals.c:728
#1  0x007d8fa0 in Fnext_single_property_change (position=4, prop=11299786, 
    object=1959598069, limit=2004) at textprop.c:1053
#2  0x007e18bc in find_composition (pos=1, limit=501, start=0x7fff0004, 
    end=0x7fff0008, prop=0x7fff000c, object=11166658) at composite.c:439
#3  0x007e5298 in composition_compute_stop_pos (cmp_it=0x7fff0668, charpos=1, 
    bytepos=1, endpos=501, string=11166658) at composite.c:1005
#4  0x0045cbc8 in compute_stop_pos (it=0x7fff01a0) at xdisp.c:3492
#5  0x0045c610 in handle_stop (it=0x7fff01a0) at xdisp.c:3390
#6  0x0046815c in reseat (it=0x7fff01a0, pos=..., force_p=1) at xdisp.c:6359
#7  0x0045af38 in init_iterator (it=0x7fff01a0, w=0x726da368, charpos=1, 
    bytepos=1, row=0xb942f0, base_face_id=DEFAULT_FACE_ID) at xdisp.c:2975
#8  0x0045b290 in start_display (it=0x7fff01a0, w=0x726da368, pos=...)
    at xdisp.c:2991
#9  0x00491d9c in try_window (window=1919787885, pos=..., flags=1)
    at xdisp.c:16501
#10 0x0048e66c in redisplay_window (window=1919787885, just_this_one_p=false)
    at xdisp.c:16023
#11 0x004842bc in redisplay_window_0 (window=1919787885) at xdisp.c:14024
#12 0x00723884 in internal_condition_case_1 (
    bfun=0x484254 <redisplay_window_0>, arg=1919787885, handlers=11147502, 
    hfun=0x4841f4 <redisplay_window_error>) at eval.c:1368
#13 0x004841a8 in redisplay_windows (window=1919787885) at xdisp.c:14004
#14 0x00482924 in redisplay_internal () at xdisp.c:13603
#15 0x0047f90c in redisplay () at xdisp.c:12889
#16 0x006263a0 in read_char (commandflag=1, map=1873132934, 
    prev_event=11166658, used_mouse_menu=0x7fff3294, end_time=0x0)
    at keyboard.c:2563
#17 0x0063bd18 in read_key_sequence (keybuf=0x7fff33a8, bufsize=30, 
    prompt=11166658, dont_downcase_last=false, can_return_switch_frame=true, 
    fix_current_buffer=true, prevent_redisplay=false) at keyboard.c:9071
#18 0x00621c38 in command_loop_1 () at keyboard.c:1445
#19 0x007235f0 in internal_condition_case (bfun=0x6214b0 <command_loop_1>, 
    handlers=11199402, hfun=0x620538 <cmd_error>) at eval.c:1344
#20 0x00620e4c in command_loop_2 (ignore=11166658) at keyboard.c:1170
#21 0x007227dc in internal_catch (tag=11197514, 
    func=0x620df4 <command_loop_2>, arg=11166658) at eval.c:1108
#22 0x00620d94 in command_loop () at keyboard.c:1149
#23 0x0061fc18 in recursive_edit_1 () at keyboard.c:777
#24 0x0061ff74 in Frecursive_edit () at keyboard.c:841
#25 0x0061c054 in main (argc=3, argv=0x7fff36e4) at emacs.c:1634

Lisp Backtrace:
"redisplay_internal (C function)" (0xa9a604)

In GNU Emacs 24.3.50.18 (mips64el-unknown-linux-gnu, GTK+ Version 2.20.1)
 of 2013-12-14 on chiefs-gnewsense
Bzr revision: 115526 [email-masked]
System Description:	gNewSense GNU/Linux 3.0 (parkes)

Configured using:
 `configure 'CFLAGS=-g -O0''

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  shell-dirtrack-mode: t
  gpm-mouse-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Load-path shadows:
/home/rms/emacs-bzr/trunk/lisp/leim/quail/lao hides /home/rms/emacs-bzr/trunk/lisp/language/lao
/home/rms/emacs-bzr/trunk/lisp/leim/quail/georgian hides /home/rms/emacs-bzr/trunk/lisp/language/georgian
/home/rms/emacs-bzr/trunk/lisp/leim/quail/thai hides /home/rms/emacs-bzr/trunk/lisp/language/thai
/home/rms/emacs-bzr/trunk/lisp/leim/quail/ethiopic hides /home/rms/emacs-bzr/trunk/lisp/language/ethiopic
/home/rms/emacs-bzr/trunk/lisp/leim/quail/japanese hides /home/rms/emacs-bzr/trunk/lisp/language/japanese
/home/rms/emacs-bzr/trunk/lisp/leim/quail/cyrillic hides /home/rms/emacs-bzr/trunk/lisp/language/cyrillic
/home/rms/emacs-bzr/trunk/lisp/leim/quail/indian hides /home/rms/emacs-bzr/trunk/lisp/language/indian
/home/rms/emacs-bzr/trunk/lisp/leim/quail/hebrew hides /home/rms/emacs-bzr/trunk/lisp/language/hebrew
/home/rms/emacs-bzr/trunk/lisp/leim/quail/greek hides /home/rms/emacs-bzr/trunk/lisp/language/greek
/home/rms/emacs-bzr/trunk/lisp/leim/quail/czech hides /home/rms/emacs-bzr/trunk/lisp/language/czech
/home/rms/emacs-bzr/trunk/lisp/leim/quail/slovak hides /home/rms/emacs-bzr/trunk/lisp/language/slovak
/home/rms/emacs-bzr/trunk/lisp/leim/quail/tibetan hides /home/rms/emacs-bzr/trunk/lisp/language/tibetan

Features:
(shadow emacsbug shell pcomplete grep compile comint ansi-color ring
epa-mail epa derived epg epg-config help-mode misearch multi-isearch
dabbrev mailalias qp rmailout rmailmm message sendmail format-spec
rfc822 mml easymenu mml-sec mm-decode mm-bodies mm-encode mailabbrev
gmm-utils mailheader mail-parse rfc2231 dired t-mouse package
rmailedit rmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils time-date paren cus-start cus-load advice help-fns tooltip
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel x-win
x-dnd tool-bar dnd fontset image regexp-opt fringe tabulated-list
newcomment lisp-mode prog-mode register page menu-bar rfn-eshadow
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core frame cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer nadvice loaddefs button
faces cus-face macroexp files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process dbusbind gfilenotify dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty emacs)
[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call.